
/* The following is a mapping of GSM MCC codes to country dialing codes */

/* This mapping generated by cross-referencing
 * ITU E.212[1] ("Land Mobile Numbering Plan") with the wikipedia list of 
 * country dialing codes[2]. FIXME: It may not be 100% correct.
 *
 * [1] http://www.itu.int/itudoc/itu-t/ob-lists/icc/e212_685.html
 * [2] http://en.wikipedia.org/wiki/List_of_country_calling_codes
 */

static const gchar * mcc_to_dc[][3] = {
{ "412", "+93", "Afghanistan" },
{ "276", "+355", "Albania" },
{ "603", "+213", "Algeria" },
{ "544", "+1684", "American Samoa (US)" },
{ "213", "+376", "Andorra" },
{ "631", "+244", "Angola" },
{ "365", "+1264", "Anguilla" },
{ "344", "+1268", "Antigua and Barbuda" },
{ "722", "+54", "Argentine Republic" },
{ "283", "+374", "Armenia" },
{ "363", "+297", "Aruba (Netherlands)" },
{ "505", "+61", "Australia" },
{ "232", "+43", "Austria" },
{ "400", "+994", "Azerbaijani Republic" },
{ "364", "+1242", "Bahamas" },
{ "426", "+973", "Bahrain" },
{ "470", "+880", "Bangladesh" },
{ "342", "+1246", "Barbados" },
{ "257", "+375", "Belarus" },
{ "206", "+32", "Belgium" },
{ "702", "+501", "Belize" },
{ "616", "+229", "Benin" },
{ "350", "+1441", "Bermuda (UK)" },
{ "402", "+975", "Bhutan" },
{ "736", "+591", "Bolivia" },
{ "218", "+387", "Bosnia and Herzegovina" },
{ "652", "+267", "Botswana" },
{ "724", "+55", "Brazil" },
{ "348", "+1284", "British Virgin Islands (UK)" },
{ "528", "+673", "Brunei Darussalam" },
{ "284", "+359", "Bulgaria" },
{ "613", "+226", "Burkina Faso" },
{ "642", "+257", "Burundi" },
{ "456", "+855", "Cambodia" },
{ "624", "+237", "Cameroon" },
{ "302", "+1", "Canada" },
{ "625", "+238", "Cape Verde" },
{ "346", "+1345", "Cayman Islands (UK)" },
{ "623", "+236", "Central African Republic" },
{ "622", "+235", "Chad" },
{ "730", "+56", "Chile" },
{ "460", "+86", "China" },
{ "732", "+57", "Colombia" },
{ "654", "+269", "Comoros" },
{ "629", "+242", "Republic of the Congo" },
{ "548", "+682", "Cook Islands (NZ)" },
{ "712", "+506", "Costa Rica" },
{ "612", "+225", "Côte d'Ivoire" },
{ "219", "+385", "Croatia" },
{ "368", "+53", "Cuba" },
{ "280", "+357", "Cyprus" },
{ "230", "+420", "Czech Republic" },
{ "630", "+243", "Democratic Republic of the Congo" },
{ "238", "+45", "Denmark" },
{ "638", "+253", "Djibouti" },
{ "366", "+1767", "Dominica" },
{ "370", "+1809", "Dominican Republic" },
{ "514", "+670", "East Timor" },
{ "740", "+593", "Ecuador" },
{ "602", "+20", "Egypt" },
{ "706", "+503", "El Salvador" },
{ "627", "+240", "Equatorial Guinea" },
{ "657", "+291", "Eritrea" },
{ "248", "+372", "Estonia" },
{ "636", "+251", "Ethiopia" },
{ "288", "+298", "Faroe Islands (Denmark)" },
{ "542", "+679", "Fiji" },
{ "244", "+358", "Finland" },
{ "208", "+33", "France" },
{ "742", "+594", "French Guiana (France)" },
{ "547", "+689", "French Polynesia (France)" },
{ "628", "+241", "Gabonese Republic" },
{ "607", "+220", "Gambia" },
{ "282", "+995", "Georgia" },
{ "262", "+49", "Germany" },
{ "620", "+233", "Ghana" },
{ "266", "+350", "Gibraltar (UK)" },
{ "202", "+30", "Greece" },
{ "290", "+299", "Greenland (Denmark)" },
{ "352", "+1473", "Grenada" },
{ "340", "+590", "Guadeloupe (France)" },
{ "535", "+1671", "Guam (US)" },
{ "704", "+502", "Guatemala" },
{ "611", "+224", "Guinea" },
{ "632", "+245", "Guinea-Bissau" },
{ "738", "+592", "Guyana" },
{ "372", "+509", "Haiti" },
{ "708", "+504", "Honduras" },
{ "454", "+852", "Hong Kong (PRC)" },
{ "216", "+36", "Hungary" },
{ "274", "+354", "Iceland" },
{ "404", "+91", "India" },
{ "405", "+91", "India" },
{ "510", "+62", "Indonesia" },
{ "432", "+98", "Iran" },
{ "418", "+964", "Iraq" },
{ "272", "+353", "Ireland" },
{ "425", "+972", "Israel" },
{ "222", "+39", "Italy" },
{ "338", "+1876", "Jamaica" },
{ "441", "+81", "Japan" },
{ "440", "+81", "Japan" },
{ "416", "+962", "Jordan" },
{ "401", "+7", "Kazakhstan" },
{ "639", "+254", "Kenya" },
{ "545", "+686", "Kiribati" },
{ "467", "+850", "Korea North" },
{ "450", "+82", "Korea South" },
{ "419", "+965", "Kuwait" },
{ "437", "+996", "Kyrgyz Republic" },
{ "457", "+856", "Laos" },
{ "247", "+371", "Latvia" },
{ "415", "+961", "Lebanon" },
{ "651", "+266", "Lesotho" },
{ "618", "+231", "Liberia" },
{ "606", "+218", "Libya" },
{ "295", "+423", "Liechtenstein" },
{ "246", "+370", "Lithuania" },
{ "270", "+352", "Luxembourg" },
{ "455", "+853", "Macao (PRC)" },
{ "294", "+389", "Republic of Macedonia" },
{ "646", "+261", "Madagascar" },
{ "650", "+265", "Malawi" },
{ "502", "+60", "Malaysia" },
{ "472", "+960", "Maldives" },
{ "610", "+223", "Mali" },
{ "278", "+356", "Malta" },
{ "551", "+692", "Marshall Islands" },
{ "340", "+596", "Martinique (France)" },
{ "609", "+222", "Mauritania" },
{ "617", "+230", "Mauritius" },
{ "334", "+52", "Mexico" },
{ "550", "+691", "Federated States of Micronesia" },
{ "259", "+373", "Moldova" },
{ "212", "+377", "Monaco" },
{ "428", "+976", "Mongolia" },
{ "354", "+1664", "Montserrat (UK)" },
{ "604", "+212", "Morocco" },
{ "643", "+258", "Mozambique" },
{ "414", "+95", "Myanmar" },
{ "649", "+264", "Namibia" },
{ "536", "+674", "Nauru" },
{ "429", "+977", "Nepal" },
{ "204", "+31", "Netherlands" },
{ "362", "+599", "Netherlands Antilles (Netherlands)" },
{ "546", "+687", "New Caledonia (France)" },
{ "530", "+64", "New Zealand" },
{ "710", "+505", "Nicaragua" },
{ "614", "+227", "Niger" },
{ "621", "+234", "Nigeria" },
{ "534", "+1670", "Northern Mariana Islands (US)" },
{ "242", "+47", "Norway" },
{ "422", "+968", "Oman" },
{ "410", "+92", "Pakistan" },
{ "552", "+680", "Palau" },
{ "714", "+507", "Panama" },
{ "537", "+675", "Papua New Guinea" },
{ "744", "+595", "Paraguay" },
{ "716", "+51", "Peru" },
{ "515", "+63", "Philippines" },
{ "260", "+48", "Poland" },
{ "351", "+351", "Portugal" },
{ "330", "+1787", "Puerto Rico (US)" },
{ "427", "+974", "Qatar" },
{ "647", "+262", "Réunion (France)" },
{ "226", "+40", "Romania" },
{ "250", "+7", "Russian Federation" },
{ "635", "+250", "Rwandese Republic" },
{ "356", "+1869", "Saint Kitts and Nevis" },
{ "358", "+1758", "Saint Lucia" },
{ "308", "+508", "Saint Pierre and Miquelon (France)" },
{ "360", "+1784", "Saint Vincent and the Grenadines" },
{ "549", "+685", "Samoa" },
{ "292", "+378", "San Marino" },
{ "626", "+239", "São Tomé and Príncipe" },
{ "420", "+966", "Saudi Arabia" },
{ "608", "+221", "Senegal" },
{ "220", "+382", "Montenegro" },
{ "633", "+248", "Seychelles" },
{ "619", "+232", "Sierra Leone" },
{ "525", "+65", "Singapore" },
{ "231", "+421", "Slovakia" },
{ "293", "+386", "Slovenia" },
{ "540", "+677", "Solomon Islands" },
{ "637", "+252", "Somalia" },
{ "655", "+27", "South Africa" },
{ "214", "+34", "Spain" },
{ "413", "+94", "Sri Lanka" },
{ "634", "+249", "Sudan" },
{ "746", "+597", "Suriname" },
{ "653", "+268", "Swaziland" },
{ "240", "+46", "Sweden" },
{ "228", "+41", "Switzerland" },
{ "417", "+963", "Syria" },
{ "466", "+886", "Taiwan" },
{ "436", "+992", "Tajikistan" },
{ "640", "+255", "Tanzania" },
{ "520", "+66", "Thailand" },
{ "615", "+228", "Togolese Republic" },
{ "539", "+676", "Tonga" },
{ "374", "+1868", "Trinidad and Tobago" },
{ "605", "+216", "Tunisia" },
{ "286", "+90", "Turkey" },
{ "438", "+993", "Turkmenistan" },
{ "376", "+1649", "Turks and Caicos Islands (UK)" },
{ "641", "+256", "Uganda" },
{ "255", "+380", "Ukraine" },
{ "424", "+971", "United Arab Emirates" },
{ "430", "+971", "United Arab Emirates (Abu Dhabi)" },
{ "431", "+971", "United Arab Emirates (Dubai)" },
{ "235", "+44", "United Kingdom" },
{ "234", "+44", "United Kingdom" },
{ "310", "+1", "United States of America" },
{ "311", "+1", "United States of America" },
{ "312", "+1", "United States of America" },
{ "313", "+1", "United States of America" },
{ "314", "+1", "United States of America" },
{ "315", "+1", "United States of America" },
{ "316", "+1", "United States of America" },
{ "332", "+1340", "United States Virgin Islands (US)" },
{ "748", "+598", "Uruguay" },
{ "434", "+998", "Uzbekistan" },
{ "541", "+678", "Vanuatu" },
{ "225", "+39", "Vatican City State" },
{ "734", "+58", "Venezuela" },
{ "452", "+84", "Viet Nam" },
{ "543", "+681", "Wallis and Futuna (France)" },
{ "421", "+967", "Yemen" },
{ "645", "+260", "Zambia" },
{ "648", "+263", "Zimbabwe" },
{NULL}
};
